解决方法:

  1. ionic start myTabs tabs --skip-deps
  2. cd .\myTabs
  3. cnpm install --save-dev
  4. ionic serve

> npm install
✖ Running command - failed!
[ERROR] An error occurred while running npm install (exit code 1):

npm WARN deprecated object-keys@0.2.0: Please update to the latest object-keys
npm ERR! code 1
npm ERR! Command failed: D:\Program Files\Git\cmd\git.EXE submodule update -q --init --recursive
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 7: basename: command not found
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 7: sed: command not found
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 18: .: git-sh-setup: file not found
npm ERR!

E:\Projects\ionic>ionic start myTabs tabs --skip-deps
? The directory myTabs contains file(s) that could conflict. Would you like to overwrite the directory with this new pr
oject? Yes
✔ Creating directory .\myTabs - done!
[INFO] Fetching app base (https://github.com/ionic-team/ionic2-app-base/archive/master.tar.gz)
✔ Downloading - done!
[INFO] Fetching starter template tabs (https://github.com/ionic-team/ionic2-starter-tabs/archive/master.tar.gz)
✔ Downloading - done!
✔ Updating package.json with app details - done!
✔ Creating configuration file ionic.config.json - done!
> git init
✔ Running command - done!
> git add -A
✔ Running command - done!
> git commit -m "Initial commit" --no-gpg-sign
✔ Running command - done!

♬ ♫ ♬ ♫ Your Ionic app is ready to go! ♬ ♫ ♬ ♫

Run your app in the browser (great for initial development):
ionic serve

Run on a device or simulator:
ionic cordova run ios

Test and share your app on a device with the Ionic View app:
http://view.ionic.io

? Link this app to your Ionic Dashboard to use tools like Ionic View? Yes

You will need to login in order to link this app. Please run the following commands to do so.
ionic login - login first
ionic link - then link your app

Go to your newly created project: cd .\myTabs

E:\Projects\ionic>cd .\myTabs

E:\Projects\ionic\myTabs>ionic serve
? Looks like a fresh checkout! No ./node_modules directory found. Would you like to install project dependencies? Yes
[INFO] Installing dependencies may take several minutes!
> npm install
✖ Running command - failed!
[ERROR] An error occurred while running npm install (exit code 1):

npm WARN deprecated object-keys@0.2.0: Please update to the latest object-keys
npm ERR! code 1
npm ERR! Command failed: D:\Program Files\Git\cmd\git.EXE submodule update -q --init --recursive
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 7: basename: command not found
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 7: sed: command not found
npm ERR! D:\Program Files\Git\mingw64/libexec/git-core\git-submodule: line 19: .: git-sh-setup: file not found
npm ERR!

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\hasee\AppData\Roaming\npm-cache\_logs\2017-06-28T09_36_32_023Z-debug.log

E:\Projects\ionic\myTabs>cnpm install
\ [14/19] Installing typescript@2.3.4[@ionic/app-scripts@1.3.8 › bonjour@github:resin-io/bonjour] install bonjour from git github:resin-io/bonjour, may be very slow, please keep patience
\ [17/19] Installing xtend@^4.0.0platform unsupported @ionic/app-scripts@1.3.8 › chokidar@1.7.0 › fsevents@^1.0.0 Package require os(darwin) not compatible with your platform(win32)
[fsevents@^1.0.0] optional install error: Package require os(darwin) not compatible with your platform(win32)
√ Installed 19 packages
√ Linked 530 latest versions
Downloading binary from https://npm.taobao.org/mirrors/node-sass/v4.5.3/win32-x64-48_binding.node
Download complete
Binary saved to E:\Projects\ionic\myTabs\node_modules\_node-sass@4.5.3@node-sass\vendor\win32-x64-48\binding.node
Caching binary to C:\Users\hasee\.npminstall_tarball\node-sass\4.5.3\win32-x64-48_binding.node
Binary found at E:\Projects\ionic\myTabs\node_modules\_node-sass@4.5.3@node-sass\vendor\win32-x64-48\binding.node
Testing binary
Binary is fine
√ Run 1 scripts
deprecate @ionic/app-scripts@1.3.8 › rollup-plugin-node-builtins@2.1.2 › browserify-fs@1.0.0 › level-filesystem@1.2.0 › level-sublevel@5.2.3 › xtend@2.0.6 › object-keys@~0.2.0 Please update to the latest object-keys
Recently updated (since 2017-06-21): 15 packages (detail see file E:\Projects\ionic\myTabs\node_modules\.recently_updates.txt)
Today:
→ @ionic/app-scripts@1.3.8 › tiny-lr@1.0.4 › qs@^6.4.0(6.5.0) (15:08:19)
√ All packages installed (600 packages installed from npm registry, 1 packages installed from git, used 34s, speed 1002.56kB/s, json 548(1.1MB), tarball 32.47MB)

E:\Projects\ionic\myTabs>ionic serve
? Looks like this is an Ionic Angular project, would you like to install @ionic/cli-plugin-ionic-angular and continue?
Yes
> npm install --save-dev --save-exact @ionic/cli-plugin-ionic-angular@latest
✖ Running command - failed!
[ERROR] An error occurred while running npm install --save-dev --save-exact @ionic/cli-plugin-ionic-angular@latest (exit
code 1):

npm ERR! Maximum call stack size exceeded

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\hasee\AppData\Roaming\npm-cache\_logs\2017-06-28T09_42_10_018Z-debug.log

E:\Projects\ionic\myTabs>ionic serve
? Looks like this is an Ionic Angular project, would you like to install @ionic/cli-plugin-ionic-angular and continue?
No
[WARN] You have no CLI project plugins installed. CLI functionality may be limited.

E:\Projects\ionic\myTabs>
E:\Projects\ionic\myTabs>cnpm install --save-dev
√ Installed 19 packages
√ Linked 0 latest versions
√ Run 0 scripts
√ All packages installed (used 32ms, speed 0B/s, json 0(0B), tarball 0B)

E:\Projects\ionic\myTabs>ionic serve
? Looks like this is an Ionic Angular project, would you like to install @ionic/cli-plugin-ionic-angular and continue?
Yes
> npm install --save-dev --save-exact @ionic/cli-plugin-ionic-angular@latest
✖ Running command - failed!
[ERROR] An error occurred while running npm install --save-dev --save-exact @ionic/cli-plugin-ionic-angular@latest (exit
code 1):

npm ERR! Maximum call stack size exceeded

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\hasee\AppData\Roaming\npm-cache\_logs\2017-06-28T09_43_23_753Z-debug.log

E:\Projects\ionic\myTabs>cnpm install --save-dev --save-exact @ionic/cli-plugin-ionic-angular@latest
√ Installed 1 packages
√ Linked 86 latest versions
√ Run 0 scripts
Recently updated (since 2017-06-21): 1 packages (detail see file E:\Projects\ionic\myTabs\node_modules\.recently_updates.txt)
√ All packages installed (58 packages installed from npm registry, used 2s, speed 621.91kB/s, json 87(203.4kB), tarball 1.24MB)

E:\Projects\ionic\myTabs>ionic serve
[INFO] Starting app-scripts server: --port 8100 --p 8100 --livereload-port 35729 --r 35729 --address 0.0.0.0 - Ctrl+C to
cancel
[17:45:56] watch started ...
[17:45:56] build dev started ...
[17:45:56] clean started ...
[17:45:56] clean finished in 4 ms
[17:45:56] copy started ...
[17:45:56] transpile started ...
[17:45:58] transpile finished in 2.22 s
[17:45:58] preprocess started ...
[17:45:58] deeplinks started ...
[17:45:58] deeplinks finished in 12 ms
[17:45:58] preprocess finished in 14 ms
[17:45:58] webpack started ...
[17:45:58] copy finished in 2.40 s
[17:46:09] webpack finished in 10.89 s
[17:46:09] sass started ...
[17:46:10] sass finished in 1.10 s
[17:46:10] postprocess started ...
[17:46:10] postprocess finished in 51 ms
[17:46:10] lint started ...
[17:46:10] build dev finished in 14.36 s
[17:46:10] watch ready in 14.46 s
[17:46:10] dev server running: http://localhost:8100/

[INFO] Development server running
Local: http://localhost:8100

[17:46:20] lint finished in 9.73 s